Edit

Update a subscription

Updates a webhook subscription on a SharePoint list.

Permissions

The SharePoint Add-in permission table below is legacy reference only. Use supported Microsoft Entra authentication for SharePoint Online webhooks.

Important

SharePoint Add-ins reached end of life in SharePoint Online on April 2, 2026. Both SharePoint-hosted and provider-hosted Add-ins are retired and no longer work in SharePoint Online, including government clouds. Add-in development, deployment, and usage guidance is retained for historical reference and for applicable SharePoint Server scenarios, not for new SharePoint Online solutions.

SharePoint Server Add-ins deployed through an on-premises app catalog are not retired by this change. Acquiring SharePoint Add-ins from the public marketplace ended on April 2, 2026 for SharePoint Server.

This retirement does not retire SharePoint REST APIs, CSOM, JSOM, or SharePoint Framework (SPFx). For SharePoint Online, use SPFx for user interface extensions and Microsoft Entra ID for authentication to external applications. See the retirement announcement and Add-in migration guidance.

The application must have at least edit permissions to the SharePoint list where the subscription will be updated.

If your application is a Microsoft Azure Active Directory (Azure AD) application

You must grant the Azure AD application the permissions specified in the following table. A subscription can only be updated by the Azure AD application that created it.

Application Permission
Office 365 SharePoint Online Read and write items and lists in all site collections.

If your application is a SharePoint Add-in

You must grant the SharePoint Add-in the following permission(s) or higher. A subscription can only be updated by the SharePoint Add-in that created it.

Scope Permission rights
List Manage

HTTP request

PATCH _api/web/lists('list-id')/subscriptions('id')

Example

PATCH _api/web/lists('5C77031A-9621-4DFC-BB5D-57803A94E91D')/subscriptions('6D77031A-2345-5GRT-BV3D-55234B56FR43')
Content-Type: application/json

{
  "notificationUrl": "https://contoso.azurewebsites.net/api/v2/webhook-receiver",
  "expirationDateTime": "2016-01-03T11:23:00.000Z"
}

Request body

Include the following properties in the request body.

Name Type Description
notificationUrl string The service URL to send notifications to.
expirationDateTime date The date the notification will expire and be deleted.
clientState string Optional. Opaque string passed back to the client on all notifications.
You can use this for validating notifications or tagging different subscriptions.

Response

If the subscription is found and successfully updated, a 204 No Content response is returned.

Example

HTTP/1.1 204 No Content

See also